# vfs_mountPoint Struct Reference

`#include <mount.h>`

Collaboration diagram for vfs_mountPoint:

[legend]

## Data Fields

device_node * | device
ubixDiskLabel * | diskLabel
fileSystem * | fs
void * | fsInfo
char | mountPoint [1024]
vfs_mountPoint * | next
int | partition
char | perms
vfs_mountPoint * | prev

## Detailed Description

Definition at line 35 of file mount.h.

## Field Documentation

struct device_node* vfs_mountPoint::device

Definition at line 39 of file mount.h.

Referenced by dskread(), openFileUbixFS(), syncBat(), ubixfs_initialize(), ubixfs_loadData(), ubixFSmkDir(), ubixFSUnlink(), vfs_mount(), and writeUbixFS().

struct ubixDiskLabel* vfs_mountPoint::diskLabel

Definition at line 40 of file mount.h.

Referenced by syncBat(), ubixfs_initialize(), ubixfs_loadData(), ubixFSmkDir(), ubixFSUnlink(), writeFileByte(), and writeUbixFS().

struct fileSystem* vfs_mountPoint::fs

Definition at line 38 of file mount.h.

Referenced by fgetc(), fopen(), fputc(), fread(), fwrite(), sysMkDir(), unlink(), and vfs_mount().

void* vfs_mountPoint::fsInfo

Definition at line 41 of file mount.h.

Referenced by devfs_initialize(), devfs_makeNode(), devfs_open(), freeBlocks(), getFreeBlocks(), openFileUbixFS(), readUbixFS(), syncBat(), ubixfs_initialize(), ubixfs_loadData(), ubixFSmkDir(), ubixFSUnlink(), writeFileByte(), and writeUbixFS().

char vfs_mountPoint::mountPoint[1024]

Definition at line 43 of file mount.h.

Referenced by unlink(), vfs_findMount(), and vfs_mount().

struct vfs_mountPoint* vfs_mountPoint::next

Definition at line 37 of file mount.h.

Referenced by vfs_addMount(), and vfs_findMount().

int vfs_mountPoint::partition

Definition at line 42 of file mount.h.

Referenced by syncBat(), ubixfs_initialize(), ubixfs_loadData(), ubixFSmkDir(), ubixFSUnlink(), vfs_mount(), writeFileByte(), and writeUbixFS().

char vfs_mountPoint::perms

Definition at line 44 of file mount.h.

Referenced by vfs_mount().

struct vfs_mountPoint* vfs_mountPoint::prev

Definition at line 36 of file mount.h.

Referenced by vfs_addMount().

The documentation for this struct was generated from the following file:

- src/sys/include/vfs/mount.h